Loading...
Searching...
No Matches
Opm::CheckDistributedWellConnections< Scalar > Class Template Reference

Class checking that all connections are on active cells. More...

`#include <ParallelWellInfo.hpp>`

## Public Member Functions

| CheckDistributedWellConnections (const Well &well, const ParallelWellInfo< Scalar > &info)
void | connectionFound (std::size_t index)
| Inidicate that the i-th completion was found.
bool | checkAllConnectionsFound ()

## Detailed Description

template<class Scalar>
class Opm::CheckDistributedWellConnections< Scalar >

Class checking that all connections are on active cells.

Works for distributed wells, too

## Member Function Documentation

## connectionFound()

template<class Scalar>

void Opm::CheckDistributedWellConnections< Scalar >::connectionFound | ( | std::size_t | index | ) |

Inidicate that the i-th completion was found.

in the local grid.

Parameters

  index | The index of the completion in Well::getConnections

The documentation for this class was generated from the following files:

- opm/simulators/wells/ParallelWellInfo.hpp
- opm/simulators/wells/ParallelWellInfo.cpp